> For the complete documentation index, see [llms.txt](https://docs.chainargos.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chainargos.com/documentation/api/research/wallet_eval.md).

# Wallet evaluation

This example shows how to do basic wallet inflows analysis. Here we are building an entirely open-source analyzer. You can see exactly how numbers are calculated, change the rules to your liking or add new ones.

For this demo set the address of interest here:

{% @github-files/github-code-block url="<https://github.com/ChainArgos/api-demos/blob/main/looker/wallet_eval/config.py>" %}

Note this file also specifies what DashArgos queries to run on top of. You can set up new queries and point your code to them if you wish.

This file specifies our `is this inflow source a problem?` definition:

{% @github-files/github-code-block url="<https://github.com/ChainArgos/api-demos/blob/main/looker/wallet_eval/is_suspicious.py>" %}

Now we can look at the main function. This grabs all the inflows, looks up the categories associated with inflow wallets, computes what we want to compute and then (lightly) formats the output.

{% @github-files/github-code-block url="<https://github.com/ChainArgos/api-demos/blob/main/looker/wallet_eval/wallet_eval.py>" %}

A range of helper functions which wrap the underlying API are here:

{% @github-files/github-code-block url="<https://github.com/ChainArgos/api-demos/blob/main/looker/wallet_eval/helpers.py>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chainargos.com/documentation/api/research/wallet_eval.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
